# CustomModifierSettings | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Interface CustomModifierSettings

interface CustomModifierSettings {
allowLuckUpgrades ?: boolean;
fillRemaining ?: boolean;
guaranteedModifierTiers ?: ModifierTier [];
guaranteedModifierTypeFuncs ?: ModifierTypeFunc [];
guaranteedModifierTypeOptions ?: ModifierTypeOption [];
rerollMultiplier ?: number;
}

- Defined in src/modifier/modifier-type.ts:3274

##### Index

### Properties

allowLuckUpgrades?
fillRemaining?
guaranteedModifierTiers?
guaranteedModifierTypeFuncs?
guaranteedModifierTypeOptions?
rerollMultiplier?

## Properties

### `Optional` allowLuckUpgrades

allowLuckUpgrades?: boolean

- Defined in src/modifier/modifier-type.ts:3281

### `Optional` fillRemaining

fillRemaining?: boolean

- Defined in src/modifier/modifier-type.ts:3278

### `Optional` guaranteedModifierTiers

guaranteedModifierTiers?: ModifierTier []

- Defined in src/modifier/modifier-type.ts:3275

### `Optional` guaranteedModifierTypeFuncs

guaranteedModifierTypeFuncs?: ModifierTypeFunc []

- Defined in src/modifier/modifier-type.ts:3277

### `Optional` guaranteedModifierTypeOptions

guaranteedModifierTypeOptions?: ModifierTypeOption []

- Defined in src/modifier/modifier-type.ts:3276

### `Optional` rerollMultiplier

rerollMultiplier?: number

Set to negative value to disable rerolls completely in shop

- Defined in src/modifier/modifier-type.ts:3280